unit btnsms;

interface

type
    PByte = ^Byte;

const
     BTN_TARIF_ECO = 15;
     BTN_TARIF_STANDARD	= 20;
     BTN_TARIF_PREMIUM = 30;

     BTN_TYPE_NORMAL = 65;
     BTN_TYPE_LONG = 66;
     BTN_TYPE_FLASH = 67;

     BTN_TYPE_NOKIA_OPERATOR_LOGO = 129;
     BTN_TYPE_NOKIA_PICTURE_MESSAGE = 130;
     BTN_TYPE_NOKIA_GROUP_LOGO = 131;
     BTN_TYPE_NOKIA_RINGTONE = 132;
     BTN_TYPE_SIEMENS_DATA = 133;

     BTN_TYPE_FLAG_TEXT = 64;
     BTN_TYPE_FLAG_BINARY = 128;

     BTN_FLAG_STATUSREPORT = 1;

     BTN_ERROR_FLAG_CURL = 1024;
     BTN_ERROR_FLAG_HTTP = 2048;

     BTN_ERROR_SUCCESS = 0;
     BTN_ERROR_NOCREDIT = 1;
     BTN_ERROR_WRONGCREDS = 2;
     BTN_ERROR_INTERNAL = 3;
     BTN_ERROR_NOACCESS = 4;
     BTN_ERROR_CLOSEDACCOUNT = 5;
     BTN_ERROR_WRONGIP = 6;
     BTN_ERROR_WRONGSMS = 7;
     BTN_ERROR_WRONGXML = 9;
     BTN_ERROR_PARTIAL_SUCCESS = 200;

     BTN_USERTYPE_FREE = 10;
     BTN_USERTYPE_PREPAID = 20;
     BTN_USERTYPE_BILLED = 30;

function btnSmsSendSimple(username,password,destination,text: PChar): Integer; cdecl; external 'btnsms.dll';
function btnSmsSend(msg :Pointer) :Pointer; cdecl; external 'btnsms.dll';
function btnCredsNew(username, password :PChar) :Pointer; cdecl; external 'btnsms.dll';
function btnCredsSetCustomer(creds :Pointer; customer :PChar) :Integer; cdecl; external 'btnsms.dll';
procedure btnCredsFree(creds :Pointer); cdecl; external 'btnsms.dll';
function btnSmsNew() :Pointer; cdecl; external 'btnsms.dll';
function btnSmsAddDestination(msg :Pointer; dest :PChar; size :LongWord) :Pointer; cdecl; external 'btnsms.dll';
function btnSmsAddDestinationGreet(msg :Pointer; dest :PChar; destSize :LongWord; greeting :PChar; greetSize :LongWord) :Pointer; cdecl; external 'btnsms.dll';
function btnSmsSetText(msg :Pointer; text :PChar; size :LongWord) :PChar; cdecl; external 'btnsms.dll';
procedure btnSmsSetCreds(msg, creds :Pointer); cdecl; external 'btnsms.dll';
function btnSmsSetOriginator(msg :Pointer; originator :PChar; size :LongWord) :PChar; cdecl; external 'btnsms.dll';
function btnSmsSetGreetSubst(msg :Pointer; greetSubst :PChar; size :LongWord) :PChar; cdecl; external 'btnsms.dll';
function btnSmsSetBinaryData(msg :Pointer; buf :PByte; size :LongWord) :PByte; cdecl; external 'btnsms.dll';
procedure btnSmsSetType(msg :Pointer; smstype :Integer); cdecl; external 'btnsms.dll';
procedure btnSmsSetTarif(msg :Pointer; tarif :Integer); cdecl; external 'btnsms.dll';
procedure btnSmsSetDelivery(msg :Pointer; day, month, year, hour, minute :Integer); cdecl; external 'btnsms.dll';
function btnSmsSetStatusReport(msg :Pointer; email :PChar; size :LongWord; hours :Integer) :PChar; cdecl; external 'btnsms.dll';
procedure btnSmsFree(msg :Pointer); cdecl; external 'btnsms.dll';
procedure btnResultFree(result :Pointer); cdecl; external 'btnsms.dll';
function btnResultGetErrorcode(result :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnResultGetErrorMsg(result :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnResultGetAccountBalance(result :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnResultGetStatusReportId(result :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnResultGetFirstResultItem(result :Pointer) :Pointer; cdecl; external 'btnsms.dll';
function btnResultItemGetNext(resultitem :Pointer) :Pointer; cdecl; external 'btnsms.dll';
function btnResultItemGetDestination(resultitem :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnResultItemGetErrorcode(resultitem :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnResultItemGetResult(resultitem :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnResultItemGetErrorMsg(resultitem :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnUserstatusRequest(creds :Pointer) :Pointer; cdecl; external 'btnsms.dll';
function btnUserstatusGetErrorcode(status :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnUserstatusGetErrorMsg(status :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnUserstatusGetUserid(status :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnUserstatusGetActive(status :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnUserstatusGetType(status :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnUserstatusGetAccountBalance(status :Pointer) :PChar; cdecl; external 'btnsms.dll';
function btnUserstatusGetToday(status :Pointer) :Integer; cdecl; external 'btnsms.dll';
function btnUserstatusGetLimit(status :Pointer) :Integer; cdecl; external 'btnsms.dll';
procedure btnUserstatusFree(status :Pointer); cdecl; external 'btnsms.dll';

implementation

end.
